Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000043TestLinkNew Featurepublic2005-08-14 19:402010-01-11 23:54
Reporterschlundus 
Assigned To 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 2 
Summary0000043: [SF 1241176 ] Unable to open up test case in new window anymore
DescriptionSummary:
Version 1.0.4 of testlink provided functionality to view a
test case in a new window. This was helpful so that
you didn't need to worry about the tree refreshing itself
after you updated a test case. The new window could
be launched in 1.0.4 by looking at test cases in the
archive/management view, right clicking on the test
case and selecting "Open In New Window".
Additionally, you could accomplish this in 1.0.4 by
holding shift while clicking on the test case.

Now in 1.5, both these mechanisms of displaying the
test case in a new browser window are broken.

It tries to open a new window and gives an error "cannot
find server message" and in the address bar
displays "javascript:ET(6340)"

Steps:
1. Start TestLink
2. Select Edit Test Cases
3. Pick a category and component
4. Hold down the SHIFT key and LEFT-CLICK a test
case OR right click the test case and select "open in a
new window".

Error Result:
TestLink attempts to open a new window and gives a
cannot find server message and in the address bar
displays javascript:ET(6340)

Expected Result: Opens the test case in a new window
where it can be edited.
(or does nothing)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000135closedmhavlat Better eference of TestCases through URLs (frameset problem) 

-  Notes
(0000277)
kmself (reporter)
2005-11-03 04:11

The javascript URIs also mean that:

1. It's not possible to readily use TestLink in a text-mode browser such as w3m, links, elinks2, lynx, etc. Yes, there are those of who use same, especially for quick views of stuff. This also breaks a number of download tools.

2. Tabbed browsing becomes markedly less useful. Javascript links won't open in new tabs. At other times, opening links in new tabs don't recreate the surrounding frameset.

3. Possibly unrelated: view source options either don't work or reveal pages markedly different from those presently being viewed. Source generally points to a login page with a "session expired" message.
(0000427)
kevin (reporter)
2005-12-03 05:04

The original issue spoen of here is an issue in testlink 1.6.

Kmself - Support for test-mode browsers should be filed as a seperate feature request.

Additionally, can you specify the exact steps you are taking in point number 2 in the scenarios you speak of?

Please retest 0000003 using testlink 1.6 and if you still see an issue - file a seperate bug. I believe some session related issues have been fixed.

Thank you for your feedback and any specific fixes you may be able to provide will be appreciated!
(0008626)
mhavlat (reporter)
2010-01-11 07:31

I think that we can close this issue.

- Issue History
Date Modified Username Field Change
2005-08-14 19:40 schlundus New Issue
2005-11-03 04:11 kmself Note Added: 0000277
2005-12-03 05:04 kevin Note Added: 0000427
2007-02-19 23:23 mhavlat Project Testlink 1.6.x => TestLink
2008-01-20 06:35 mhavlat Relationship added related to 0000135
2010-01-11 07:31 mhavlat Note Added: 0008626
2010-01-11 23:54 fman Status new => closed
2010-01-11 23:54 fman Resolution open => fixed
2010-01-11 23:54 fman Fixed in Version => 1.9 (DEV)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker